|  | Dual Active Bridge Development Board (Part-No. ) |
Content |  |  |  |  |  |

Loading...
Searching...
No Matches
Data Fields
SWITCH_NODE_s Struct Reference
Power Control » Power Control Data Types

Power converter switch-node specifications. More...

`#include <C:/MCU16Projects/bitbucket/dspic33ck-power-dcdc-dual-active-bridge-development-platform/dspic33ck-dab.X/sources/pwrctrl/pwrctrl_typedef.h>`

Collaboration diagram for SWITCH_NODE_s:

## Data Fields
uint16_t | ControlPeriod
| Control period value from control loop.
uint16_t | ControlDutyCycle
| Control Duty Cycle calculation based on Control Period.
uint16_t | ControlPhase
| Control phase value from control loop.
uint16_t | ControlPhase_P2S_Degreex10
| Control phase value from control loop in 10 x degree, integer.
uint16_t | ControlPhase_P2S_Target
| Control phase value from control loop in degrees.
uint16_t | DeadTimeHigh
| Deadtime High settings for PWM.
uint16_t | DeadTimeLow
| Deadtime High settings for PWM.
uint16_t | PBVPeriodTarget
| Power Board Visualizer Set Control target.
uint16_t | PBVControlPhaseTarget
| Power Board Visualizer Set Control phase.
uint16_t | LowPowerSlowMode
| future development

## Detailed Description

This data structure is used to set the converter switch-node specifications declaring which PWM channel is used as well as its switching period, duty cycle and phase-shift.

Definition at line 35 of file pwrctrl_typedef.h.

## Field Documentation

## ◆ ControlDutyCycle

uint16_t ControlDutyCycle

Definition at line 38 of file pwrctrl_typedef.h.

## ◆ ControlPeriod

uint16_t ControlPeriod

Definition at line 37 of file pwrctrl_typedef.h.

## ◆ ControlPhase

uint16_t ControlPhase

Definition at line 39 of file pwrctrl_typedef.h.

## ◆ ControlPhase_P2S_Degreex10

uint16_t ControlPhase_P2S_Degreex10

Definition at line 40 of file pwrctrl_typedef.h.

## ◆ ControlPhase_P2S_Target

uint16_t ControlPhase_P2S_Target

Definition at line 41 of file pwrctrl_typedef.h.

## ◆ DeadTimeHigh

uint16_t DeadTimeHigh

Definition at line 42 of file pwrctrl_typedef.h.

## ◆ DeadTimeLow

uint16_t DeadTimeLow

Definition at line 43 of file pwrctrl_typedef.h.

## ◆ LowPowerSlowMode

uint16_t LowPowerSlowMode

Definition at line 46 of file pwrctrl_typedef.h.

## ◆ PBVControlPhaseTarget

uint16_t PBVControlPhaseTarget

Definition at line 45 of file pwrctrl_typedef.h.

## ◆ PBVPeriodTarget

uint16_t PBVPeriodTarget

Definition at line 44 of file pwrctrl_typedef.h.

The documentation for this struct was generated from the following file:

- dspic33ck-dab.X/sources/pwrctrl/pwrctrl_typedef.h